
-- Versatile Ada Genetic Algorithm Software system software component.
-- Max Edwards, Department of Computer Science, University of York, UK.
-- Email: me-b@minster.york.ac.uk
-- 
-- Copyright notice: This software is (C) Max Edwards 1995.  It may be
-- freely used and distributed provided that this message is not altered,
-- except that its use in military applications is not permitted.
-- Package name: RANDOM_NUMBERS
-- Description : provides basic random-number facilities

with MATHS_LIBRARY, TEXT_IO;
use TEXT_IO;

package RANDOM_NUMBERS is

  function RANDOM return FLOAT;

  -- returns a random number in the interval [0.0,1.0]

  function RND(A : INTEGER) return INTEGER;

  -- returns an integer in 1..A

  procedure RANDOMIZE;

  function FLIP(P : FLOAT) return BOOLEAN;

  -- toss a coin where P=chance of returning TRUE.

end RANDOM_NUMBERS;

